#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,k,p[10000],i;
    scanf("%d%d",&n,&k);
    for(i=0;i<n;i++)
        scanf("%d",&p[i]);
    if(p[n-1]==k)
    {
        printf("%d",p[0]);
        return 0;
    }
    for(i=0;i<n-1;i++)
    {
        if(p[i]==k)
            printf("%d",p[i+1]);
    }
    return 0;
}